XLogger (SLF4J 1.7.25 API)
Date: 2017-03-16

org.slf4j.ext

## Class XLogger

- java.lang.Object
- - org.slf4j.ext.LoggerWrapper
  - - org.slf4j.ext.XLogger

- All Implemented Interfaces:
    Logger

      public class XLogger
      extends LoggerWrapper
      implements Logger

  A utility that provides standard mechanisms for logging certain kinds of activities.
  Author:
    Ralph Goers, Ceki Gülcü

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XLogger.Level`

  - ### Field Summary

    - ### Fields inherited from class org.slf4j.ext.LoggerWrapper

      `instanceofLAL, logger`

    - ### Fields inherited from interface org.slf4j.Logger

      `ROOT_LOGGER_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XLogger(Logger logger)` Given an underlying logger, construct an XLogger

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `catching(Throwable throwable)` Log an exception being caught.
    `void` | `catching(XLogger.Level level, Throwable throwable)` Log an exception being caught allowing the log level to be specified.
    `void` | `entry(Object... argArray)` Log method entry.
    `void` | `exit()` Log method exit
    `<T> T` | `exit(T result)` Log method exit
    `<T extends Throwable> T` | `throwing(T throwable)` Log an exception being thrown.
    `<T extends Throwable> T` | `throwing(XLogger.Level level, T throwable)` Log an exception being thrown allowing the log level to be specified.

    - ### Methods inherited from class org.slf4j.ext.LoggerWrapper

      `debug, debug, debug, debug, debug, debug, debug, debug, debug, debug, error, error, error, error, error, error, error, error, error, error, getName, info, info, info, info, info, info, info, info, info, info, isDebugEnabled, isDebugEnabled, isErrorEnabled, isErrorEnabled, isInfoEnabled, isInfoEnabled, isTraceEnabled, isTraceEnabled, isWarnEnabled, isWarnEnabled, trace, trace, trace, trace, trace, trace, trace, trace, trace, trace, warn, warn, warn, warn, warn, warn, warn, warn, warn, warn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.slf4j.Logger

      `debug, debug, debug, debug, debug, debug, debug, debug, debug, debug, error, error, error, error, error, error, error, error, error, error, getName, info, info, info, info, info, info, info, info, info, info, isDebugEnabled, isDebugEnabled, isErrorEnabled, isErrorEnabled, isInfoEnabled, isInfoEnabled, isTraceEnabled, isTraceEnabled, isWarnEnabled, isWarnEnabled, trace, trace, trace, trace, trace, trace, trace, trace, trace, trace, warn, warn, warn, warn, warn, warn, warn, warn, warn, warn`

- - ### Constructor Detail

    - #### XLogger

          public XLogger(Logger logger)

      Given an underlying logger, construct an XLogger
      Parameters:
        `logger` - underlying logger

  - ### Method Detail

    - #### entry

          public void entry(Object... argArray)

      Log method entry.
      Parameters:
        `argArray` - supplied parameters

    - #### exit

          public void exit()

      Log method exit

    - #### exit

          public <T> T exit(T result)

      Log method exit
      Parameters:
        `result` - The result of the method being exited

    - #### throwing

          public <T extends Throwable> T throwing(T throwable)

      Log an exception being thrown. The generated log event uses Level ERROR.
      Parameters:
        `throwable` - the exception being caught.

    - #### throwing

          public <T extends Throwable> T throwing(XLogger.Level level,
                                         T throwable)

      Log an exception being thrown allowing the log level to be specified.
      Parameters:
        `level` - the logging level to use.
        `throwable` - the exception being caught.

    - #### catching

          public void catching(Throwable throwable)

      Log an exception being caught. The generated log event uses Level ERROR.
      Parameters:
        `throwable` - the exception being caught.

    - #### catching

          public void catching(XLogger.Level level,
                      Throwable throwable)

      Log an exception being caught allowing the log level to be specified.
      Parameters:
        `level` - the logging level to use.
        `throwable` - the exception being caught.

Copyright © 2005–2017 QOS.ch. All rights reserved.